net.minecraft.util

## Class CryptManager

- java.lang.Object
- - net.minecraft.util.CryptManager

-     public class CryptManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CryptManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.security.KeyPair` | `createNewKeyPair()`
    `static javax.crypto.SecretKey` | `createNewSharedKey()`
    `static java.security.PublicKey` | `decodePublicKey(byte[] par0ArrayOfByte)`
    `static byte[]` | `decryptData(java.security.Key par0Key, byte[] par1ArrayOfByte)`
    `static javax.crypto.SecretKey` | `decryptSharedKey(java.security.PrivateKey par0PrivateKey, byte[] par1ArrayOfByte)`
    `static byte[]` | `encryptData(java.security.Key par0Key, byte[] par1ArrayOfByte)`
    `static javax.crypto.Cipher` | `func_151229_a(int p_151229_0_, java.security.Key p_151229_1_)`
    `static byte[]` | `getServerIdHash(java.lang.String par0Str, java.security.PublicKey par1PublicKey, javax.crypto.SecretKey par2SecretKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CryptManager

          public CryptManager()

  - ### Method Detail

    - #### createNewSharedKey

          public static javax.crypto.SecretKey createNewSharedKey()

    - #### createNewKeyPair

          public static java.security.KeyPair createNewKeyPair()

    - #### getServerIdHash

          public static byte[] getServerIdHash(java.lang.String par0Str,
                               java.security.PublicKey par1PublicKey,
                               javax.crypto.SecretKey par2SecretKey)

    - #### decodePublicKey

          public static java.security.PublicKey decodePublicKey(byte[] par0ArrayOfByte)

    - #### decryptSharedKey

          public static javax.crypto.SecretKey decryptSharedKey(java.security.PrivateKey par0PrivateKey,
                                                byte[] par1ArrayOfByte)

    - #### encryptData

          public static byte[] encryptData(java.security.Key par0Key,
                           byte[] par1ArrayOfByte)

    - #### decryptData

          public static byte[] decryptData(java.security.Key par0Key,
                           byte[] par1ArrayOfByte)

    - #### func_151229_a

          public static javax.crypto.Cipher func_151229_a(int p_151229_0_,
                                          java.security.Key p_151229_1_)